Description

There is a need to compare the output results of different studies over time. Today we are using the BusNameMarker which is a
“human readable” approach, but which is not technically persistent. We need a machine-readable approach.

The primary goal is to be able to link a series of PF solutions to the relevant terminals. So, the reason for putting SV voltage on a
TopologicalNode is that all the terminals linked to that TopologicalNode will have the same values. Currently we require that all
injection flows are included in the solution but not all the terminals that are energized are included. This leads to some tooling having
to post-process the solution so that it can show the flow on both sides of a line for instance.

Requirements:
e Both mRID and name of the TopologicalNode needs to be persistent across executions.
e The user should be able to identify which TopologicalNode-s are persistent and which have been generated as a result of
abnormal switching.

Relevant Use Cases that need to be supported:

e From a State Estimation case we want to be able to see changes over time of a particular value in a series of SV-s

¢ From Power Flow cases we want to compare the changes over time as well as comparing other Power Flow solutions for the
same time (e.g. D-2 for hour 3 compared to D-1 for the same hour 3)

e We want to also be able to compare what we’ve calculate in a Power Flow case against what is happening in real time
operations (e.g. compare with a calculated D-1 for hour 3 with what happened at D for hour 3)

Proposed Solution
14-Aug-2024: Discussed solutions in our weekly TF13 call.

Potential Solutions:

® One possible solution is to move the SvVoltage to SvPowerFlow (i.e. moving SvVoltage away from TopologicalNode and
merging it into SvPowerFlow).

¢ Add a isRetained to TopologicalNode (or BusNameMarker)

¢ Merge TP and BusNameMarker to make TP persistent - or as a minimum make the connection between Voltage on TP to
Terminal (Svein suggested)

Decision
19-Sep-2024 Joint TF Hybrid Meetings - Minneapolis:
Reviewed. We discussed a couple of approaches but are not proposing a final option yet.

Action Item:
Svein will work on a proposal to be reviewed in an upcoming Wednesday call.

Related issues:

Blocked by WG13 Issues - CIM Issues #6871: Review the existing TP and SV prof... In Progress
Blocks WG13 Issues - CIM Issues #6873: Create support for fault and unsolved ... Open
History

#1 - 08/14/2024 09:48 AM - Todd Viegut
- Blocked by CIM Issues #6871: Review the existing TP and SV profiles to determine a more logical split added

#2 - 08/14/2024 09:53 AM - Todd Viegut
- Blocked by CIM Issues #6873: Create support for fault and unsolved solution added

#3 - 08/14/2024 09:53 AM - Todd Viegut
- Blocked by deleted (CIM Issues #6873: Create support for fault and unsolved solution)

#4 - 08/14/2024 09:53 AM - Todd Viegut
- Blocks CIM Issues #6873: Create support for fault and unsolved solution added

#5 - 08/14/2024 10:41 AM - Todd Viegut

- Proposed Solution updated

- Breaking Change set to Yes

- Standard(s) changed from IEC 61970-456 to IEC 61970-456, IEC 61970-450

#6 - 08/14/2024 10:56 AM - Todd Viegut
- Description updated

- Proposed Solution updated

#7 - 09/04/2024 10:43 AM - Chavdar Ivanov

- Status changed from New to Open

#8 - 09/19/2024 09:06 AM - Todd Viegut

- Decision updated

Brief notes on ideas/objectives discussed during the 19-Sep-2024 Joint TF Hybrid Meeting:

- Migrate the two existing SvVoltage attributes to TopologicalNode (and confirm they should be made required). Then SvVoltage should be removed
from the model.

- We want to have an information model that will support results as time series in addition to one that is now per study case. We want this time series
to include both balanced and unbalanced (Svein will look into a proposal based on making it more like Power Flow and making it more like SSH as it
is now.)

#9 - 09/19/2024 09:12 AM - Todd Viegut

- Decision updated

Brief notes on idea/objectives discussed on 19-Sep-2024 meetings:

- Emulate the SSH pattern and eliminate Sv* classes over time.

- Use a hybrid approach where the voltage attributes go to the SvPowerFlow

- Identified the requirements to support time series as part of our final solution.
- Identity of classes must be considered to support comparisons.
